[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# CompareTextWithExpandedNode

Function to compare the given text with the nodetextof the specified node.

## Declaration

Source position: comctrls.pp line 2810

`function CompareTextWithExpandedNode(`
`Key: Pointer;`
`Data: Pointer`
`):Integer;`

## Description

This function does an ANSICompare on the NodeText of two nodes. The parameters Data1 and Data2 are pointers to the nodes to be compared. The result is the same is the result from ANSICompareText.

-1: The given text is lower then the nodetext from the given node.

0: The given text is equal to the nodetext from the given node.

1: The given text is higher then the nodetext from the given node.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.